#!/usr/bin/python3
# Simple RFID Jukebox by Mike Cook

from rc522rfid import Rc522rfid
import pygame

pygame.mixer.quit()
pygame.mixer.init(frequency=22050, size=-16, channels=2, buffer=512)
rfidReader = Rc522rfid()
tokens = [0x6c18e9dd, 0x3e80906f, 0x6c12e9dd, 0x6c25eadd, 0xae31936f]
files = [ "Cave", "DripDrop", "DrumMachine", "HipHop", "Eggs" ]

def main():
   print ("Simple RFID Jukebox reader")
   print ("Click stop when done.")
   while 1: # repeat forever
      cardNumber = rfidReader.RC522_GetCard()
      pygame.mixer.music.stop()
      for i in range(0,len(tokens)):
          if cardNumber == tokens[i]:
              try :
                  pygame.mixer.music.load("/home/pi/Music/"+str(files[i])+".mp3")
                  pygame.mixer.music.play()
                  print("Playing:- "+str(files[i])+".mp3")
              except :
                  print("No file:-/home/pi/Music/" + str(files[i]) + ".mp3")

# Main program logic:
if __name__ == '__main__':
   try:
      main()
   except KeyboardInterrupt:
      pass
